'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _ramda = require('ramda');

var _ramda2 = _interopRequireDefault(_ramda);

var _createValidation = require('./createValidation');

var _createValidation2 = _interopRequireDefault(_createValidation);

var _createPathValidation = require('./createPathValidation');

var _createPathValidation2 = _interopRequireDefault(_createPathValidation);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var createRequiredValidations = function createRequiredValidations(paths) {
  var invalidMessage = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 'required';

  var validationSpecs = _ramda2.default.map(function (path) {
    return (0, _createPathValidation2.default)(path, _ramda2.default.anyPass([_ramda2.default.isEmpty, _ramda2.default.isNil]), invalidMessage);
  })(paths);
  return (0, _createValidation2.default)(validationSpecs);
};

exports.default = createRequiredValidations;